CannotLoadBeanClassException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans.factory

## Class CannotLoadBeanClassException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.FatalBeanException
            - - org.springframework.beans.factory.CannotLoadBeanClassException

- All Implemented Interfaces:
    Serializable

      public class CannotLoadBeanClassException
      extends FatalBeanException

  Exception thrown when the BeanFactory cannot load the specified class of a given bean.
  Since:
    2.0
  Author:
    Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CannotLoadBeanClassException(String resourceDescription, String beanName, String beanClassName, ClassNotFoundException cause)` Create a new CannotLoadBeanClassException.
    `CannotLoadBeanClassException(String resourceDescription, String beanName, String beanClassName, LinkageError cause)` Create a new CannotLoadBeanClassException.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBeanClassName()` Return the name of the class we were trying to load.
    `String` | `getBeanName()` Return the name of the bean requested.
    `String` | `getResourceDescription()` Return the description of the resource that the bean definition came from.

    - ### Methods inherited from class org.springframework.beans.BeansException

      `equals, hashCode`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CannotLoadBeanClassException

          public CannotLoadBeanClassException(String resourceDescription,
                                      String beanName,
                                      String beanClassName,
                                      ClassNotFoundException cause)

      Create a new CannotLoadBeanClassException.
      Parameters:
        `resourceDescription` - description of the resource that the bean definition came from
        `beanName` - the name of the bean requested
        `beanClassName` - the name of the bean class
        `cause` - the root cause

    - #### CannotLoadBeanClassException

          public CannotLoadBeanClassException(String resourceDescription,
                                      String beanName,
                                      String beanClassName,
                                      LinkageError cause)

      Create a new CannotLoadBeanClassException.
      Parameters:
        `resourceDescription` - description of the resource that the bean definition came from
        `beanName` - the name of the bean requested
        `beanClassName` - the name of the bean class
        `cause` - the root cause

  - ### Method Detail

    - #### getResourceDescription

          public String getResourceDescription()

      Return the description of the resource that the bean definition came from.

    - #### getBeanName

          public String getBeanName()

      Return the name of the bean requested.

    - #### getBeanClassName

          public String getBeanClassName()

      Return the name of the class we were trying to load.